import React from 'react';
import { NavigationScreenComponent } from 'react-navigation';
import { BottomTabBarOptions } from 'react-navigation-tabs/lib/typescript/src/types';
import { createMaterialBottomTabNavigator } from 'react-navigation-material-bottom-tabs';
import { NavigationRoute, CreateNavigatorConfig, NavigationTabRouterConfig, NavigationParams } from 'react-navigation';
import { NavigationTabProp, NavigationBottomTabOptions } from 'react-navigation-tabs';
declare type Config = {
    lazy?: boolean;
    tabBarComponent?: React.ComponentType<any>;
    tabBarOptions?: BottomTabBarOptions;
};
declare type NavigatorConfig = CreateNavigatorConfig<Partial<Config>, NavigationTabRouterConfig, Partial<NavigationBottomTabOptions>, NavigationTabProp<NavigationRoute<NavigationParams>, any>>;
declare type BottomTabScreens = {
    [key: string]: BottomTabScreen;
};
declare type SecondArgument<T> = T extends (arg1: any, arg2: infer U, ...args: any[]) => any ? U : any;
declare type BottomTabScreen = {
    screen: NavigationScreenComponent<any, any>;
    icon?: string;
    title?: string;
};
export declare function createBottomTab(screens: BottomTabScreens, navigatorConfig?: NavigatorConfig & SecondArgument<typeof createMaterialBottomTabNavigator>): any;
export {};
//# sourceMappingURL=bottom-navigation.d.ts.map